> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the Aged Payables Report

> **Scopes:** `report:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/reports/aged-payables
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/reports/aged-payables:
    get:
      tags:
        - Reports
      summary: Retrieve the Aged Payables Report
      description: '**Scopes:** `report:read`'
      operationId: get_aged_payables
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The ID of the Business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The ID of the Business
        - name: start_datetime
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: The start date (inclusive) in ISO-8601 format. Defaults to today.
            examples:
              - '2025-01-01T00:00:00Z'
            title: Start Datetime
          description: The start date (inclusive) in ISO-8601 format. Defaults to today.
        - name: vendor_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: ven_string
              - type: 'null'
            description: Filter for a specific vendor
            examples:
              - ven_WQMDNUHpBThYSNh4AprDBo
            title: Vendor Id
          description: Filter for a specific vendor
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              One or more of 'open', 'paid', 'voided' (defaults to 'open'),
              comma-separated
            title: Status
          description: >-
            One or more of 'open', 'paid', 'voided' (defaults to 'open'),
            comma-separated
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgedPayablesReport'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - report:read
components:
  schemas:
    AgedPayablesReport:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AgedPayableReportLine'
          type: array
          title: Data
      type: object
      required:
        - data
      title: AgedPayablesReport
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    AgedPayableReportLine:
      properties:
        vendor_id:
          type: string
          format: ven_string
          title: Vendor Id
          description: The ID of the Vendor
          examples:
            - ven_WQMDNUHpBThYSNh4AprDBo
        vendor_name:
          type: string
          title: Vendor Name
          description: The name of the Vendor
          examples:
            - All Roof Supply Co
        overdue_0_30:
          type: number
          title: Overdue 0 30
          description: The amount outstanding 0-30 days
          examples:
            - 100.31
        overdue_31_60:
          type: number
          title: Overdue 31 60
          description: The amount outstanding 31-60 days
          examples:
            - 386.13
        overdue_61_90:
          type: number
          title: Overdue 61 90
          description: The amount outstanding 61-90 days
          examples:
            - 250.31
        overdue_90_plus:
          type: number
          title: Overdue 90 Plus
          description: The amount outstanding 90+ days
          examples:
            - 120.1
        total_outstanding:
          type: number
          title: Total Outstanding
          description: The total amount outstanding
          examples:
            - 85.24
      type: object
      required:
        - vendor_id
        - vendor_name
        - overdue_0_30
        - overdue_31_60
        - overdue_61_90
        - overdue_90_plus
        - total_outstanding
      title: AgedPayableReportLine
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````